using System;

class Program
{
    static void Main()
    {
        int N = int.Parse(Console.ReadLine());
        var A = Array.ConvertAll(Console.ReadLine().Split(), int.Parse);
        var B = Array.ConvertAll(Console.ReadLine().Split(), int.Parse);

        int[] prefixXOR = new int[N + 1];
        for (int i = 0; i < N; i++)
        {
            prefixXOR[i + 1] = prefixXOR[i] ^ A[i];
        }

        int maxVrednost = 0;

        for (int L = 1; L <= N; L++)
        {
            int andVrednost = B[L - 1];

            for (int R = L; R <= N; R++)
            {
                int xorVrednost = prefixXOR[R] ^ prefixXOR[L - 1];
                andVrednost &= B[R - 1];

                int vrednost = xorVrednost * andVrednost;
                maxVrednost = Math.Max(maxVrednost, vrednost);
            }
        }

        Console.WriteLine(maxVrednost);
    }
}